Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.login
Class CredentialExpiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  javax.security.auth.login.LoginException
                      javax.security.auth.login.CredentialException
                          javax.security.auth.login.CredentialExpiredException

All Implemented Interfaces:
  Serializable

    public class CredentialExpiredException

extends CredentialException

Signals that a `Credential` has expired.

This exception is thrown by LoginModules when they determine that a `Credential` has expired. For example, a `LoginModule` authenticating a user in its `login` method may determine that the user's password, although entered correctly, has expired. In this case the `LoginModule` throws this exception to notify the application. The application can then take the appropriate steps to assist the user in updating the password.

See Also:
  Serialized Form

Constructor Summary
`CredentialExpiredException()` Constructs a CredentialExpiredException with no detail message.
`CredentialExpiredException(String msg)` Constructs a CredentialExpiredException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CredentialExpiredException

    public CredentialExpiredException()

  Constructs a CredentialExpiredException with no detail message. A detail message is a String that describes this particular exception.

### CredentialExpiredException

    public CredentialExpiredException(String msg)

  Constructs a CredentialExpiredException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.